[Toshiba P50W-B00F] Touchscreen no longer working

Bug #1498667 reported by Robert Ancell on 2015-09-22
28
This bug affects 4 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Joseph Salisbury
Wily
Medium
Joseph Salisbury
Xenial
Medium
Joseph Salisbury
Yakkety
Medium
Joseph Salisbury

Bug Description

Sometime in the last month or so my touchscreen stopped working on my Toshiba P50W. The dmesg log shows it constantly reconnecting to it:

[ 556.407964] usb 1-4: new full-speed USB device number 119 using xhci_hcd
[ 556.538341] usb 1-4: New USB device found, idVendor=04f3, idProduct=0381
[ 556.538347] usb 1-4: New USB device strings: Mfr=4, Product=14, SerialNumber=0
[ 556.538349] usb 1-4: Product: Touchscreen
[ 556.538351] usb 1-4: Manufacturer: ELAN
[ 556.538505] usb 1-4: ep 0x2 - rounding interval to 64 microframes, ep desc says 80 microframes
[ 556.547788] input: ELAN Touchscreen as /devices/pci0000:00/0000:00:14.0/usb1/1-4/1-4:1.0/0003:04F3:0381.04A1/input/input2374
[ 556.600478] hid-multitouch 0003:04F3:0381.04A1: input,hiddev0,hidraw4: USB HID v1.10 Device [ELAN Touchscreen] on usb-0000:00:14.0-4/input0
[ 556.600584] usb 1-4: USB disconnect, device number 119

[ 556.860456] usb 1-4: new full-speed USB device number 120 using xhci_hcd
[ 556.990494] usb 1-4: New USB device found, idVendor=04f3, idProduct=0381
[ 556.990500] usb 1-4: New USB device strings: Mfr=4, Product=14, SerialNumber=0
[ 556.990503] usb 1-4: Product: Touchscreen
[ 556.990506] usb 1-4: Manufacturer: ELAN
[ 556.990755] usb 1-4: ep 0x2 - rounding interval to 64 microframes, ep desc says 80 microframes
[ 557.001248] input: ELAN Touchscreen as /devices/pci0000:00/0000:00:14.0/usb1/1-4/1-4:1.0/0003:04F3:0381.04A2/input/input2376
[ 557.002517] hid-multitouch 0003:04F3:0381.04A2: input,hiddev0,hidraw4: USB HID v1.10 Device [ELAN Touchscreen] on usb-0000:00:14.0-4/input0
[ 557.013831] usb 1-4: USB disconnect, device number 120

ProblemType: Bug
DistroRelease: Ubuntu 15.10
Package: linux-image-4.2.0-11-generic 4.2.0-11.13
ProcVersionSignature: Ubuntu 4.2.0-11.13-generic 4.2.1
Uname: Linux 4.2.0-11-generic x86_64
ApportVersion: 2.18.1-0ubuntu1
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: bob 2041 F.... pulseaudio
 /dev/snd/controlC0: bob 2041 F.... pulseaudio
CurrentDesktop: Unity
Date: Wed Sep 23 09:46:25 2015
HibernationDevice: RESUME=UUID=5033984a-21af-482d-a1fd-c075e818cd12
InstallationDate: Installed on 2013-12-26 (635 days ago)
InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64 (20131016.1)
MachineType: TOSHIBA Satellite P50W-B
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.2.0-11-generic root=UUID=885f0f10-b818-4eb4-8ff4-d067e16bef2f ro quiet splash nomdmonddf nomdmonisw nomdmonddf nomdmonisw nomdmonddf nomdmonisw nomdmonddf nomdmonisw vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-4.2.0-11-generic N/A
 linux-backports-modules-4.2.0-11-generic N/A
 linux-firmware 1.148
SourcePackage: linux
UpgradeStatus: Upgraded to wily on 2013-12-26 (635 days ago)
dmi.bios.date: 08/08/2014
dmi.bios.vendor: INSYDE Corp.
dmi.bios.version: 1.40
dmi.board.asset.tag: Type2 - Board Asset Tag
dmi.board.name: Type2 - Board Product Name1
dmi.board.vendor: Type2 - Board Vendor Name1
dmi.board.version: Type2 - Board Version
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: OEM Chassis ManuFacturer
dmi.chassis.version: OEM Chassis Version
dmi.modalias: dmi:bvnINSYDECorp.:bvr1.40:bd08/08/2014:svnTOSHIBA:pnSatelliteP50W-B:pvrPSVP2A-00F002:rvnType2-BoardVendorName1:rnType2-BoardProductName1:rvrType2-BoardVersion:cvnOEMChassisManuFacturer:ct10:cvrOEMChassisVersion:
dmi.product.name: Satellite P50W-B
dmi.product.version: PSVP2A-00F002
dmi.sys.vendor: TOSHIBA

Robert Ancell (robert-ancell) wrote :
description: updated

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed

Robert Ancell, thank you for reporting this and helping make Ubuntu better. As per http://www.mytoshiba.com.au/support/computers/satellite/p50w/psvp2a-00f002/download?os=32 an update to your computer's buggy and outdated BIOS is available (1.60). If you update to this following https://help.ubuntu.com/community/BIOSUpdate does it change anything?

If it doesn't, could you please both specify what happened, and provide the output of the following terminal command:
sudo dmidecode -s bios-version && sudo dmidecode -s bios-release-date

For more on BIOS updates and linux, please see https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette .

Once the BIOS is updated, if the problem is still reproducible, and the information above is provided, then please mark this report Status Confirmed. Otherwise, please mark this as Invalid.

Thank you for your understanding.

tags: added: bios-outdated-1.60
Changed in linux (Ubuntu):
importance: Undecided → Low
status: Confirmed → Incomplete
summary: - Touchscreen no longer working on Toshiba P50W
+ [Toshiba P50W-B00F] Touchscreen no longer working
Robert Ancell (robert-ancell) wrote :

I'm having trouble updating the BIOS since I don't have an easy way of running Windows on this machine so it might take some time to test.

Do you expect a BIOS update to fix this? Note that this functionality was working perfectly before and Googling for similar dmesg erorrs suggest problems like this in the past.

George Jones (bads3ctor1) wrote :

I have the same problem. My Toshiba laptop model is: P55W-B5112. Running Ubuntu 15.10 Beta 2.

Oct 5 16:17:50 MyPC kernel: [ 1476.918097] usb 1-4: new full-speed USB device number 34 using xhci_hcd
Oct 5 16:17:50 MyPC kernel: [ 1477.048381] usb 1-4: New USB device found, idVendor=04f3, idProduct=0381
Oct 5 16:17:50 MyPC kernel: [ 1477.048384] usb 1-4: New USB device strings: Mfr=4, Product=14, SerialNumber=0
Oct 5 16:17:50 MyPC kernel: [ 1477.048386] usb 1-4: Product: Touchscreen
Oct 5 16:17:50 MyPC kernel: [ 1477.048387] usb 1-4: Manufacturer: ELAN
Oct 5 16:17:50 MyPC kernel: [ 1477.048503] usb 1-4: ep 0x2 - rounding interval to 64 microframes, ep desc says 80 microframes
Oct 5 16:17:50 MyPC kernel: [ 1477.057939] input: ELAN Touchscreen as /devices/pci0000:00/0000:00:14.0/usb1/1-4/1-4:1.0/0003:04F3:0381.0C6A/input/input6356
Oct 5 16:17:50 MyPC kernel: [ 1477.058103] hid-multitouch 0003:04F3:0381.0C6A: input,hiddev0,hidraw3: USB HID v1.10 Device [ELAN Touchscreen] on usb-0000:00:14.0-4/input0
Oct 5 16:17:50 MyPC kernel: [ 1477.069991] usb 1-4: USB disconnect, device number 34
Oct 5 16:17:50 MyPC kernel: [ 1477.394506] usb 1-4: new full-speed USB device number 35 using xhci_hcd
Oct 5 16:17:50 MyPC kernel: [ 1477.524796] usb 1-4: New USB device found, idVendor=04f3, idProduct=0381
Oct 5 16:17:50 MyPC kernel: [ 1477.524799] usb 1-4: New USB device strings: Mfr=4, Product=14, SerialNumber=0
Oct 5 16:17:50 MyPC kernel: [ 1477.524800] usb 1-4: Product: Touchscreen
Oct 5 16:17:50 MyPC kernel: [ 1477.524802] usb 1-4: Manufacturer: ELAN
Oct 5 16:17:50 MyPC kernel: [ 1477.524918] usb 1-4: ep 0x2 - rounding interval to 64 microframes, ep desc says 80 microframes
Oct 5 16:17:50 MyPC kernel: [ 1477.533441] input: ELAN Touchscreen as /devices/pci0000:00/0000:00:14.0/usb1/1-4/1-4:1.0/0003:04F3:0381.0C6B/input/input6358
Oct 5 16:17:50 MyPC kernel: [ 1477.533623] hid-multitouch 0003:04F3:0381.0C6B: input,hiddev0,hidraw3: USB HID v1.10 Device [ELAN Touchscreen] on usb-0000:00:14.0-4/input0
Oct 5 16:17:50 MyPC kernel: [ 1477.545535] usb 1-4: USB disconnect, device number 35
Oct 5 16:17:50 MyPC kernel: [ 1477.870913] usb 1-4: new full-speed USB device number 36 using xhci_hcd
Oct 5 16:17:51 MyPC kernel: [ 1478.000939] usb 1-4: New USB device found, idVendor=04f3, idProduct=0381
Oct 5 16:17:51 MyPC kernel: [ 1478.000942] usb 1-4: New USB device strings: Mfr=4, Product=14, SerialNumber=0
Oct 5 16:17:51 MyPC kernel: [ 1478.000944] usb 1-4: Product: Touchscreen
Oct 5 16:17:51 MyPC kernel: [ 1478.000945] usb 1-4: Manufacturer: ELAN
Oct 5 16:17:51 MyPC kernel: [ 1478.001063] usb 1-4: ep 0x2 - rounding interval to 64 microframes, ep desc says 80 microframes
Oct 5 16:17:51 MyPC kernel: [ 1478.009713] input: ELAN Touchscreen as /devices/pci0000:00/0000:00:14.0/usb1/1-4/1-4:1.0/0003:04F3:0381.0C6C/input/input6360
Oct 5 16:17:51 MyPC kernel: [ 1478.063364] hid-multitouch 0003:04F3:0381.0C6C: input,hiddev0,hidraw3: USB HID v1.10 Device [ELAN Touchscreen] on usb-0000:00:14.0-4/input0
Oct 5 16:17:51 MyPC kernel: [ 1478.063441] usb 1-4: USB disconnect, device number 36

George Jones, it will help immensely if you filed a new report via a terminal:
ubuntu-bug linux

Please feel free to subscribe me to it.

George Jones (bads3ctor1) wrote :

Ran that command and a browser opened for submitting it: https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1504371

Hope it helps and thanks for looking to it.

George Jones (bads3ctor1) wrote :

Pardon the double post but there seems to be no way to edit previous posts. I can compile any patches and test them on my laptop if you need this to be done on my specific hardware. I know how difficult it is finding and patching a bug without the specific hardware to test the patch.

Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
Changed in linux (Ubuntu):
status: Expired → New

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Changed in linux (Ubuntu):
importance: Low → Medium
tags: added: kernel-da-key
Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v4.5 kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.5-rc4-wily/

Changed in linux (Ubuntu):
assignee: nobody → Joseph Salisbury (jsalisbury)
Robert Ancell (robert-ancell) wrote :

$ uname -r
4.5.0-040500rc4-generic

$ dmesg
...
[ 35.464416] usb 2-4: new full-speed USB device number 82 using xhci_hcd
[ 35.594078] usb 2-4: New USB device found, idVendor=04f3, idProduct=0381
[ 35.594082] usb 2-4: New USB device strings: Mfr=4, Product=14, SerialNumber=0
[ 35.594085] usb 2-4: Product: Touchscreen
[ 35.594086] usb 2-4: Manufacturer: ELAN
[ 35.610455] usb 2-4: USB disconnect, device number 82
[ 35.930451] usb 2-4: new full-speed USB device number 83 using xhci_hcd
[ 36.061321] usb 2-4: New USB device found, idVendor=04f3, idProduct=0381
[ 36.061327] usb 2-4: New USB device strings: Mfr=4, Product=14, SerialNumber=0
[ 36.061329] usb 2-4: Product: Touchscreen
[ 36.061331] usb 2-4: Manufacturer: ELAN
...

tags: added: kernel-bug-exists-upstream
Joseph Salisbury (jsalisbury) wrote :

Thanks for testing the mainline kernel. We know the bug still exists upstream now. Then next step is for us to bisect and identify the commit that introduced this regression.

Do you happen to know the last good kernel version that did not exhibit this bug? If not, I can post some links to kernels to narrow it down.

Robert Ancell (robert-ancell) wrote :

Please post some links. I'm pretty sure the latest wily kernel worked, but I'm not able to boot to wily right at the moment.

Joseph Salisbury (jsalisbury) wrote :

Can you test the following two kernels and post back if they work or not:

Latest Wily kernel:
https://launchpad.net/~canonical-kernel-team/+archive/ubuntu/ppa/+build/8881941

First Xenial kernel based on 4.3:
https://launchpad.net/ubuntu/+source/linux/4.3.0-0.9/+build/8360668

First Xenial kernel based on 4.4:
https://launchpad.net/ubuntu/+source/linux/4.4.0-1.15/+build/8880824

Note, with these kernels you have to install both the linux-image and linux-image-extra .deb packages.

Changed in linux (Ubuntu Xenial):
status: Confirmed → In Progress
Changed in linux (Ubuntu Wily):
status: New → Incomplete
importance: Undecided → Medium
assignee: nobody → Joseph Salisbury (jsalisbury)
Robert Ancell (robert-ancell) wrote :

$ uname -r
3.19.0-50-generic

Works.

$ uname -r
4.2.0-27-generic

Broken.

Joseph Salisbury (jsalisbury) wrote :

Can you also test the following upstream kernel:
http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.2-rc1-unstable/

If v4.2-rc1 has the bug, we can bisect between 3.19 final and 4.2-rc1. If v4.2-rc1 does not have the bug, we will have to test some of the other 4.2 release candidates(rc2, rc3, etc) to find which one introduced the bug.

Robert Ancell (robert-ancell) wrote :

$ uname -r
4.2.0-040200rc1-generic

Works.

Robert Ancell (robert-ancell) wrote :

I ran through some more kernels and then when I re-tested 4.2.0-040200rc1-generic it did not work. So I re-tested some kernels doing five runs each time. (B=Broken, W=Works)

3.19.0-50-generic - WWWWW
4.2.0-040200rc1-generic - WBBBW
4.2.0-040200rc2-generic - BBBWW (201507151846)
4.4.0-6-generic - BBBBW

So it appears it has gone from working reliably in 3.19 to being unreliable in 4.x, failing in the order of 20-40% of each boot.

Note I blacklisted the hid-multitouch module so for these tests I was manually modprobing it after boot. Also 4.4 tends to boot slower than 4.2.

Joseph Salisbury (jsalisbury) wrote :

It looks like we should bisect between 3.19 final and 4.2-rc1. I'll build the first test kernel. It might be a bit of a pain to test each kernel, since it takes multiple boots to confirm if a kernel is good or bad.

Changed in linux (Ubuntu Wily):
status: Incomplete → In Progress
Joseph Salisbury (jsalisbury) wrote :

Actually we should try to shorten the bisect window a little more, or we will have a ton of kernels to test.

We should see if the bug was introduced in the upstream 4.0 or 4.1 kernel. Those kernels are avaiable from:

4.0 final: http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.0-vivid/
4.1 final: http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.1-wily/

Robert Ancell (robert-ancell) wrote :

4.0.0-040000-generic - WWW
4.1.0-040100-generic - WWW

So that suggests to me the issue came between 4.1 and 4.2-rc1.

Joseph Salisbury (jsalisbury) wrote :

Great, thanks for testing. I'll start a bisect between 4.1 and 4.2-rc1 and post a test kernel shortly.

Joseph Salisbury (jsalisbury) wrote :

I started a kernel bisect between v4.1 final and v4.2-rc1. The kernel bisect will require testing of about 13 test kernels.

I built the first test kernel, up to the following commit:
4570a37169d4b44d316f40b2ccc681dc93fedc7b

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1498667

Can you test that kernel and report back if it has the bug or not? I will build the next test kernel based on your test results.

Thanks in advance

Robert Ancell (robert-ancell) wrote :

That directory seems to be empty, I will check back tomorrow.

Joseph Salisbury (jsalisbury) wrote :

Sorry, I copied the .debs to the wrong directory. They should be there now.

Robert Ancell (robert-ancell) wrote :

linux-image-4.1.0-040100-generic_4.1.0-040100.201602181629_amd64.deb - WWW

Joseph Salisbury (jsalisbury) wrote :

I built the next test kernel, up to the following commit:
8d7804a2f03dbd34940fcb426450c730adf29dae

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1498667

Can you test that kernel and report back if it has the bug or not? I will build the next test kernel based on your test results.

Thanks in advance

Robert Ancell (robert-ancell) wrote :

linux-image-4.1.0-040100-generic_4.1.0-040100.201603021615_amd64.deb - WWW

Joseph Salisbury (jsalisbury) wrote :

I built the next test kernel, up to the following commit:
78c10e556ed904d5bfbd71e9cadd8ce8f25d6982

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1498667

Can you test that kernel and report back if it has the bug or not? I will build the next test kernel based on your test results.

Thanks in advance

Robert Ancell (robert-ancell) wrote :

linux-image-4.1.0-040100-generic_4.1.0-040100.201603071412_amd64.deb - BWB

Joseph Salisbury (jsalisbury) wrote :

I built the next test kernel, up to the following commit:
623f0e137c0fedb81bbf3d88be4ed300eee163da

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1498667

Can you test that kernel and report back if it has the bug or not? I will build the next test kernel based on your test results.

Thanks in advance

Robert Ancell (robert-ancell) wrote :

linux-image-4.1.0-040100rc7-generic_4.1.0-040100rc7.201603071533_amd64.deb - WWW

Joseph Salisbury (jsalisbury) wrote :

I built the next test kernel, up to the following commit:
8c7febe83915332276cab49e89f6580bb963fb9a

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1498667

Can you test that kernel and report back if it has the bug or not? I will build the next test kernel based on your test results.

Thanks in advance

Robert Ancell (robert-ancell) wrote :

linux-image-4.1.0-040100-generic_4.1.0-040100.201603081134_amd64.deb - WWW

Joseph Salisbury (jsalisbury) wrote :

I built the next test kernel, up to the following commit:
bbe179f88d39274630823a0dc07d2714fd19a103

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1498667

Can you test that kernel and report back if it has the bug or not? I will build the next test kernel based on your test results.

Thanks in advance

Robert Ancell (robert-ancell) wrote :

linux-image-4.1.0-040100-generic_4.1.0-040100.201603091614_amd64.deb - BBB

Joseph Salisbury (jsalisbury) wrote :

I built the next test kernel, up to the following commit:
e18b7975c885bc3a938b9a76daf32957ea0235fa

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1498667

Can you test that kernel and report back if it has the bug or not? I will build the next test kernel based on your test results.

Thanks in advance

Robert Ancell (robert-ancell) wrote :

linux-image-4.1.0-040100rc1-generic_4.1.0-040100rc1.201603101727_amd64.deb - fails to boot. Stops at "Loading initial ramdisk"

Joseph Salisbury (jsalisbury) wrote :

Thanks for testing. I skipped that commit and built the next test kernel, up to the following commit:
3eb42df3ebfbd8d46b831c26ecb90e128ad474a5

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1498667

Can you test that kernel and report back if it has the bug or not? I will build the next test kernel based on your test results.

Thanks in advance

Robert Ancell (robert-ancell) wrote :

linux-image-4.1.0-040100rc1-generic_4.1.0-040100rc1.201603151107_amd64.deb - also fails to boot. Stops at "Loading initial ramdisk"

Joseph Salisbury (jsalisbury) wrote :

I'm having some issues building the next test kernel in the bisect. In the mean time, I don't think we tested the 4.5 final kernel to see if this is fixed already. Can you give that kernel a shot? It can be downloaded from:

http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.5-wily/

Robert Ancell (robert-ancell) wrote :

linux-image-4.5.0-040500-generic_4.5.0-040500.201603140130_amd64.deb - BBB

Robert Ancell (robert-ancell) wrote :

Any more kernels?

Joseph Salisbury (jsalisbury) wrote :

The next kernel in the bisect is failing to build. I should have the next kernel available shortly.

Robert Ancell (robert-ancell) wrote :

linux-image-4.6.0-040600rc2-generic_4.6.0-040600rc2.201604031130_amd64.deb - BBB

Joseph Salisbury (jsalisbury) wrote :

Sorry this got delayed. I'll working on getting the next test kernel to you shortly.

Joseph Salisbury (jsalisbury) wrote :

I built the next test kernel, up to the following commit:
c0d96af2e0427cc90b1f0d3c6a5294d90f93fcf4

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1498667

Can you test that kernel and report back if it has the bug or not? I will build the next test kernel based on your test results.

Thanks in advance

Robert Ancell (robert-ancell) wrote :

linux-image-4.1.0-040100rc1-generic_4.1.0-040100rc1.201605121447_amd64.deb - WWW

Joseph Salisbury (jsalisbury) wrote :

I built the next test kernel, up to the following commit:
e152813ff5fea74094ae296367f477411df1ba24

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1498667

Can you test that kernel and report back if it has the bug or not? I will build the next test kernel based on your test results.

Thanks in advance

Robert Ancell (robert-ancell) wrote :

linux-image-4.1.0-040100rc4-generic_4.1.0-040100rc4.201605131206_amd64.deb - BWB

Joseph Salisbury (jsalisbury) wrote :

I built the next test kernel, up to the following commit:
9fa733f24bb54dd532b5f5d7abc275c4a547c69f

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1498667

Can you test that kernel and report back if it has the bug or not? I will build the next test kernel based on your test results.

Thanks in advance

Robert Ancell (robert-ancell) wrote :

linux-image-4.1.0-040100rc4-generic_4.1.0-040100rc4.201605171129_amd64.deb - WBB

Joseph Salisbury (jsalisbury) wrote :

I built the next kernel, up to the following commit:
8af9319198f04f10aa63f751fb0bfbf4f97be6eb

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1498667

Can you test that kernel and report back if it has the bug or not? I will build the next test kernel based on your test results.

Thanks in advance

Robert Ancell (robert-ancell) wrote :

linux-image-4.1.0-040100rc2-generic_4.1.0-040100rc2.201605180710_amd64.deb - WWB

Joseph Salisbury (jsalisbury) wrote :

I built the next kernel, up to the following commit:
0a9abb1e15aa64fd79beb73441361e772daf234d

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1498667

Can you test that kernel and report back if it has the bug or not? I will build the next test kernel based on your test results.

The bisect should require about 4 more test kernels.

Thanks in advance

Robert Ancell (robert-ancell) wrote :

linux-image-4.1.0-040100rc2-generic_4.1.0-040100rc2.201605191138_amd64.deb - BBB

Joseph Salisbury (jsalisbury) wrote :

I built the next kernel, up to the following commit:
8ca9a3217f0ac35e8595bf203685a2205213ddc8

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1498667

Can you test that kernel and report back if it has the bug or not? I will build the next test kernel based on your test results.

Thanks in advance

Robert Ancell (robert-ancell) wrote :

linux-image-4.1.0-040100rc2-generic_4.1.0-040100rc2.201605200830_amd64.deb - BBB

Joseph Salisbury (jsalisbury) wrote :

I built the next kernel, up to the following commit:
3091fa77ffb1b91f4ac3ae005efe6213508f7ec1

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1498667

Can you test that kernel and report back if it has the bug or not? I will build the next test kernel based on your test results.

Thanks in advance

Robert Ancell (robert-ancell) wrote :

linux-image-4.1.0-040100rc2-generic_4.1.0-040100rc2.201605231400_amd64.deb - WWW

Joseph Salisbury (jsalisbury) wrote :

I built the next kernel, up to the following commit:
7d203a9e11fa179306a9f49ad06eb3dd1b9d8614

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1498667

Can you test that kernel and report back if it has the bug or not? I will build the next test kernel based on your test results.

Thanks in advance

Robert Ancell (robert-ancell) wrote :

linux-image-4.1.0-040100rc2-generic_4.1.0-040100rc2.201605261539_amd64.deb - WWW

Joseph Salisbury (jsalisbury) wrote :

I built the next kernel, up to the following commit:
a8425292816ceaa8c49e29d2114e85d85a73e080

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1498667

Can you test that kernel and report back if it has the bug or not? I will build the next test kernel based on your test results.

Thanks in advance

Robert Ancell (robert-ancell) wrote :

linux-image-4.1.0-040100rc2-generic_4.1.0-040100rc2.201606062014_amd64.deb - BWW

Joseph Salisbury (jsalisbury) wrote :

a84252928 was reported as first bad commit. I built a test kernel with a revert of this commit. The test kernel can be downloaded from:

http://kernel.ubuntu.com/~jsalisbury/lp1498667/

Can you test this kernel and see if it still exhibits this bug?

Robert Ancell (robert-ancell) wrote :

linux-image-4.2.0-36-generic_4.2.0-36.42~lp1498667_amd64.deb - WWWWW

That seems to be it...

Robert Ancell (robert-ancell) wrote :

commit a8425292816ceaa8c49e29d2114e85d85a73e080
Author: Rupesh Tatiya <email address hidden>
Date: Tue Apr 14 16:36:55 2015 +0530

    usb: Enable LPM for USB 2.01+ full-speed devices

    USB 2.01+ full-speed devices can have extended descriptor as well
    and can support LPM.

    Signed-off-by: Rupesh Tatiya <email address hidden>
    Signed-off-by: Greg Kroah-Hartman <email address hidden>

Joseph Salisbury (jsalisbury) wrote :

We should confirm the bug still exists in mainline for the upstream developers. Can you test the 4.7-rc4 kernel? It can be downloaded from:

http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.7-rc4-yakkety/

Robert Ancell (robert-ancell) wrote :

linux-image-4.7.0-040700rc4-generic_4.7.0-040700rc4.201606201235_amd64.deb - BBB

Joseph Salisbury (jsalisbury) wrote :

I created a patch and built a Xenial test kernel with it. That test kernel can be downloaded from:

http://kernel.ubuntu.com/~jsalisbury/lp1498667/

Can you test this kernel and see if it fixes this bug? If it does, I'll submit my patch upstream and SRU it to Ubuntu.

Note, with this test kernel, you will need to install both the linux-image and linux-image-extra .deb packages.

Thanks

Robert Ancell (robert-ancell) wrote :

Can you link to the patch? I'd be interested to see what the change is.

Robert Ancell (robert-ancell) wrote :

linux-image-4.4.0-28-generic_4.4.0-28.47~lp1498667Patched_amd64.deb - WWW

Works great, thanks!

Robert Ancell (robert-ancell) wrote :

/me does a little dance - got my touchscreen back!

Joseph Salisbury (jsalisbury) wrote :

I just added a quirk for your screen. See the attached patch. Ill submit this patch upstream and SRU it to the Ubuntu kernel.

tags: added: patch
Changed in linux (Ubuntu Wily):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Xenial):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Yakkety):
status: In Progress → Fix Committed
Kamal Mostafa (kamalmostafa) wrote :

No further updates are planned for Wily's kernel.

Changed in linux (Ubuntu Wily):
status: Fix Committed → Won't Fix
Launchpad Janitor (janitor) wrote :
Download full text (14.6 KiB)

This bug was fixed in the package linux - 4.4.0-33.52

---------------
linux (4.4.0-33.52) xenial; urgency=low

  [ Seth Forshee ]

  * Release Tracking Bug
    - LP: #1605709

  * [regression] NFS client: access problems after updating to kernel
    4.4.0-31-generic (LP: #1603719)
    - SAUCE: (namespace) Bypass sget() capability check for nfs

linux (4.4.0-32.51) xenial; urgency=low

  [ Seth Forshee ]

  * Release Tracking Bug
    - LP: #1604443

  * thinkpad yoga 260 wacom touchscreen not working (LP: #1603975)
    - HID: wacom: break out parsing of device and registering of input
    - HID: wacom: Initialize hid_data.inputmode to -1
    - HID: wacom: Support switching from vendor-defined device mode on G9 and G11

  * changelog: add CVEs as first class citizens (LP: #1604344)
    - use CVE numbers in changelog

  * [Xenial] Include Huawei PCIe SSD hio kernel driver (LP: #1603483)
    - SAUCE: import Huawei ES3000_V2 (2.1.0.23)
    - SAUCE: hio: bio_endio() no longer takes errors arg
    - SAUCE: hio: blk_queue make_request_fn now returns a blk_qc_t
    - SAUCE: hio: use alloc_cpumask_var to avoid -Wframe-larger-than
    - SAUCE: hio: fix mask maybe-uninitialized warning
    - [config] enable CONFIG_HIO (Huawei ES3000_V2 PCIe SSD driver)
    - SAUCE: hio: Makefile and Kconfig

  * CVE-2016-5243 (LP: #1589036)
    - tipc: fix an infoleak in tipc_nl_compat_link_dump
    - tipc: fix nl compat regression for link statistics

  * CVE-2016-4470
    - KEYS: potential uninitialized variable

  * integer overflow in xt_alloc_table_info (LP: #1555353)
    - netfilter: x_tables: check for size overflow

  * CVE-2016-3135:
    - Revert "UBUNTU: SAUCE: (noup) netfilter: x_tables: check for size overflow"

  * CVE-2016-4440 (LP: #1584192)
    - kvm:vmx: more complete state update on APICv on/off

  * the system hangs in the dma driver when reboot or shutdown on a baytrail-m
    laptop (LP: #1602579)
    - dmaengine: dw: platform: power on device on shutdown
    - ACPI / LPSS: override power state for LPSS DMA device

  * Add proper palm detection support for MS Precision Touchpad (LP: #1593124)
    - Revert "HID: multitouch: enable palm rejection if device implements
      confidence usage"
    - HID: multitouch: enable palm rejection for Windows Precision Touchpad

  * Add support for Intel 8265 Bluetooth ([8087:0A2B]) (LP: #1599068)
    - Bluetooth: Add support for Intel Bluetooth device 8265 [8087:0a2b]

  * CVE-2016-4794 (LP: #1581871)
    - percpu: fix synchronization between chunk->map_extend_work and chunk
      destruction
    - percpu: fix synchronization between synchronous map extension and chunk
      destruction

  * Xenial update to v4.4.15 stable release (LP: #1601952)
    - net_sched: fix pfifo_head_drop behavior vs backlog
    - net: Don't forget pr_fmt on net_dbg_ratelimited for CONFIG_DYNAMIC_DEBUG
    - sit: correct IP protocol used in ipip6_err
    - esp: Fix ESN generation under UDP encapsulation
    - netem: fix a use after free
    - ipmr/ip6mr: Initialize the last assert time of mfc entries.
    - Bridge: Fix ipv6 mc snooping if bridge has no ipv6 address
    - sock_diag: do not broadcast raw socket destruction
    - bpf, perf...

Changed in linux (Ubuntu Yakkety):
status: Fix Committed → Fix Released
Seth Forshee (sforshee) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-xenial' to 'verification-done-xenial'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-xenial
Seth Forshee (sforshee) wrote :

This bug still needs verification that the kernel in -proposed fixes the problem. Please verify as soon as possible. Thanks!

Launchpad Janitor (janitor) wrote :
Download full text (15.0 KiB)

This bug was fixed in the package linux - 4.4.0-34.53

---------------
linux (4.4.0-34.53) xenial; urgency=low

  [ Seth Forshee ]

  * Release Tracking Bug
    - LP: #1606960

  * [APL][SAUCE] Slow system response time due to a monitor bug (LP: #1606147)
    - x86/cpu/intel: Introduce macros for Intel family numbers
    - SAUCE: x86/cpu: Add workaround for MONITOR instruction erratum on Goldmont
      based CPUs

linux (4.4.0-33.52) xenial; urgency=low

  [ Seth Forshee ]

  * Release Tracking Bug
    - LP: #1605709

  * [regression] NFS client: access problems after updating to kernel
    4.4.0-31-generic (LP: #1603719)
    - SAUCE: (namespace) Bypass sget() capability check for nfs

linux (4.4.0-32.51) xenial; urgency=low

  [ Seth Forshee ]

  * Release Tracking Bug
    - LP: #1604443

  * thinkpad yoga 260 wacom touchscreen not working (LP: #1603975)
    - HID: wacom: break out parsing of device and registering of input
    - HID: wacom: Initialize hid_data.inputmode to -1
    - HID: wacom: Support switching from vendor-defined device mode on G9 and G11

  * changelog: add CVEs as first class citizens (LP: #1604344)
    - use CVE numbers in changelog

  * [Xenial] Include Huawei PCIe SSD hio kernel driver (LP: #1603483)
    - SAUCE: import Huawei ES3000_V2 (2.1.0.23)
    - SAUCE: hio: bio_endio() no longer takes errors arg
    - SAUCE: hio: blk_queue make_request_fn now returns a blk_qc_t
    - SAUCE: hio: use alloc_cpumask_var to avoid -Wframe-larger-than
    - SAUCE: hio: fix mask maybe-uninitialized warning
    - [config] enable CONFIG_HIO (Huawei ES3000_V2 PCIe SSD driver)
    - SAUCE: hio: Makefile and Kconfig

  * CVE-2016-5243 (LP: #1589036)
    - tipc: fix an infoleak in tipc_nl_compat_link_dump
    - tipc: fix nl compat regression for link statistics

  * CVE-2016-4470
    - KEYS: potential uninitialized variable

  * integer overflow in xt_alloc_table_info (LP: #1555353)
    - netfilter: x_tables: check for size overflow

  * CVE-2016-3135:
    - Revert "UBUNTU: SAUCE: (noup) netfilter: x_tables: check for size overflow"

  * CVE-2016-4440 (LP: #1584192)
    - kvm:vmx: more complete state update on APICv on/off

  * the system hangs in the dma driver when reboot or shutdown on a baytrail-m
    laptop (LP: #1602579)
    - dmaengine: dw: platform: power on device on shutdown
    - ACPI / LPSS: override power state for LPSS DMA device

  * Add proper palm detection support for MS Precision Touchpad (LP: #1593124)
    - Revert "HID: multitouch: enable palm rejection if device implements
      confidence usage"
    - HID: multitouch: enable palm rejection for Windows Precision Touchpad

  * Add support for Intel 8265 Bluetooth ([8087:0A2B]) (LP: #1599068)
    - Bluetooth: Add support for Intel Bluetooth device 8265 [8087:0a2b]

  * CVE-2016-4794 (LP: #1581871)
    - percpu: fix synchronization between chunk->map_extend_work and chunk
      destruction
    - percpu: fix synchronization between synchronous map extension and chunk
      destruction

  * Xenial update to v4.4.15 stable release (LP: #1601952)
    - net_sched: fix pfifo_head_drop behavior vs backlog
    - net: Don't forget pr_fmt on net_dbg_ratelimited for CONFIG_DYNAMIC...

Changed in linux (Ubuntu Xenial):
status: Fix Committed → Fix Released
status: Fix Committed → Fix Released
tags: added: verification-done-xenial
removed: verification-needed-xenial
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers